@import url("normalize.css");
@import url("base.css?v=1.2");
/* main styles */
body {
    position: relative;
    background: var(--bg-color);
    font-family: var(--font-family);
    font-size: 16px;
    color: var(--text-color);
}
header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 3;
}
header.fixed {    
    background: var(--white);
    box-shadow: 0 0 9px 4px rgba(0, 0, 0, 0.22);
    animation: slideDown 0.65s ease-out;
}
header.fixed .header-top {
    display: none;
}
header.fixed .header-row {
    padding: 10px 0;
}
header.fixed .header-logo img {
    width: 180px;
}
.section:before {
    content: '';
    display: block;
    width: 100%;
    height: 100%;
    background-image: url(../images/pattern.png);
    background-position: center;
    background-size: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    opacity: 0.03;
}
.header-top-row {
    gap: 20px;
    padding: 10px 0;
}
.header-top-row a,
.header-top-address {
    color: var(--theme-color);
    text-decoration: none;
}
.header-top-row a:hover {
    color: var(--text-color);
}
.header-top-contacts {
    gap: 15px;
}
.header-top-msgs {
    gap: 5px;
}
.header-row {
    gap: 40px;
}
.header-menu {
    gap: 20px;
}
.header-menu li a {
    font-size: 20px;
    font-weight: 700;
    text-decoration: none;
    color: var(--theme-color);
    transition: 0.35s all ease;
}
.header-menu li a:hover {
    color: var(--text-color);
}
.header-banquet:not(.fixed):not(.menu-shown) .header-menu li a {
    color: var(--white);
}
.header-banquet:not(.fixed):not(.menu-shown) .header-menu li a:hover {
    color: var(--theme-second);
}
.header-banquet:not(.fixed):not(.menu-shown) .header-logo img {
    filter: invert(1) brightness(5);
}
.header-logo {
    position: absolute;
    left: calc(50% - 125px);
    gap: 40px;
}
header.fixed .header-logo {
    position: static;
}
.header-logo:before,
.header-logo:after {
    content: '';
    display: none;
    height: 2px;
    flex-grow: 1;
    background: var(--theme-color);
}
.header-logo img {
    width: 250px;
    flex-shrink: 0;
    transition: 0.35s all ease-in-out;
}
.hero {
    height: 100vh;
}
.hero:before {
    content: '';
    display: block;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background: rgba(0,0,0,0.15);
    z-index: 1;
}
.hero-img {
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;    
    overflow: hidden;
}
.hero-img img {
    width: auto;
    min-width: 120vw;
    height: 100%;
    object-position: center center;
    animation: 45s linear 0s 1 normal forwards running heroSlide;
}
.hero .container {
    height: 100%;
}
.hero-content {
    height: 100%;
    gap: 20px;
    text-align: center;
    color: var(--white);
    z-index: 2;
    padding-bottom: 180px;
}
.hero-content h1 {
    font-size: 80px;
}
.hero-desc {
    max-width: 750px;
    font-size: 30px;
    font-weight: 300;
}
.events-slider-container {
    width: 100%;
    padding: 0 15px;
    overflow: hidden;
}
.events-slider {
    cursor: grab;
}
.event-slide {
    height: 450px;
    overflow: hidden;
    border-radius: var(--border-radius-default);
}
.event-slide img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.event-mobile-img {
    display: none;
}
.events-scrollbar {
    position: static !important;
    margin-top: 30px;
}
.events-scrollbar .swiper-scrollbar-drag {
    background: var(--theme-color);
}
.events-section .section-decor:last-child {
    right: 50px;
    bottom: 10%;
}
/*.about-section:before {
    content: '';
    display: block;
    width: 100%;
    height: 100%;
    background-image: url(../images/pattern.png);
    background-position: center;
    background-size: cover;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    opacity: 0.03;
}*/
.about-section .section-decor:first-child {
    bottom: 0;
    right: 0;
    transform: scale(-1, 1);
}
.about-section .section-decor:nth-child(2) {
    bottom: 0;
    left: 0;
}
.about-section .section-decors {
    opacity: 0.5;
}
.about-wrap {
    gap: 40px;
}
.about-images {
    flex-basis: 50%;
    flex-shrink: 0;
}
.about-images img {
    border-radius: var(--border-radius-default);
    overflow: hidden;
}
.about-images img:first-child {
    width: 85%;
}
.about-images img:last-child {
    position: absolute;
    width: 30%;
    bottom: -50px;
    right: 0;
}
.about-text {
    flex-grow: 1;
    font-size: 20px;
}
.about-text h3 {
    font-size: 34px;
}
.menu-slider {
    cursor: grab;
}
.food-list {
    gap: 25px;
}
.menu-slide {
    flex-basis: 0;
    flex-grow: 1;
    height: auto !important;
    overflow: hidden;
    border-radius: var(--border-radius-default);
    text-decoration: none;
}
.menu-slide-img {
    width: 100%;
    aspect-ratio: 1/ 1;
    flex-shrink: 0;
    border-radius: var(--border-radius-default);
    overflow: hidden;
}
.menu-slide-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: 0.45s all ease;
}
.menu-slide:hover .menu-slide-img img {
    transform: scale(1.12);
}
.menu-slide-info {
    margin-top: 15px;
    color: var(--text-color);
}
.menu-slide-title {
    font-size: 24px;
    font-weight: 700;
    color: var(--theme-color);
}
.menu-slide-desc {
    margin: 10px 0 25px 0;
    font-weight: 300;
    font-size: 14px;
}
.menu-slide-footer {
    gap: 10px;
}
.menu-slide-price,
.menu-slide-weight {
    font-size: 20px;
    font-weight: 700;
}
.menu-slide-weight {
    color: var(--text-light);
}
.menu-scrollbar {
    position: static !important;
    margin-top: 30px;
    background: rgba(255, 255, 255, 0.15);
}
.menu-scrollbar .swiper-scrollbar-drag {
    background: var(--white);
}
.gallery-section .section-decor:first-child {
    right: 20px;
    bottom: 10%;
}
.gallery-section .section-decor:last-child {
    top: 0;
    left: 0;
}
.gallery-wrap {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 30px;
}
.photo-item {
    aspect-ratio: 1 / 1;
    overflow: hidden;
    border-radius: var(--border-radius-default);
}
.photo-item:nth-child(4n + 1) {
    margin-top: 10px;
}
.photo-item:nth-child(4n + 2) {
    margin-top: -10px;
}
.photo-item:nth-child(4n + 3) {
    margin-top: 10px;
}
.photo-item:nth-child(4n + 0) {
    margin-top: -10px;
}
.photo-item img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: 0.45s all ease;
}
.photo-item:hover img {
    transform: scale(1.12);
}
.footer-section {
    padding-bottom: 0 !important;
}
.footer-section .section-decor {
    top: 0;
    left: 0;
}
.footer-body {
    gap: 20px;
    margin-bottom: 50px;
}
.footer-content {
    flex: 0 0 40%;
}
.footer-title {
    margin-bottom: 15px;
    font-size: 48px;
    font-weight: 600;
    line-height: 100%;
    align-items: flex-start;
    gap: 10px;
}
.footer-title:before {
    display: none;
}
.footer-subtitle {
    font-size: 21px;
    margin-bottom: 30px;
}
.item-footer:not(:last-child) {
    margin-bottom: 30px;
}
.item-footer-schedule, 
.item-footer-subtitle {
    margin-bottom: 5px;
    font-weight: 300;
    line-height: 140.5%;
    letter-spacing: 0.28px;
}
.item-footer-schedule {
    margin-bottom: 10px;
    position: relative;
    padding-left: 16px;
}
.item-footer-schedule::before {
    content: '';
    position: absolute;
    width: 8px;
    height: 8px;
    top: 4px;
    border-radius: 50%;
    background-color: var(--theme-color);
    margin-left: -16px;    
}
.item-footer-phone {
    margin-bottom: 20px;
    display: block;
    color: var(--theme-color);
    font-size: 34px;
    font-weight: 500;
    letter-spacing: 0.9px;
    text-decoration: none;
}
.item-footer-info {
    font-size: 22px;
    font-weight: 400;
    line-height: 140%;
    letter-spacing: 0.66px;
}
.item-footer-social {
    margin-top: 9px;
}
.item-footer-button {
    width: 250px;
    height: 62px;
    font-size: 22px;
}
.social {
    gap: 10px;
}
.social-link {
    border-radius: 100px;
    background-color: var(--theme-color);
    width: 50px;
    height: 50px;
    color: var(--white);
}
.social-link img {
    width: 24px;
}
.footer-map {
    flex: 1 1 700px;
    border-radius: 0;
    overflow: hidden;
    height: auto;
    border-radius: var(--border-radius-default);
}
.footer-bottom {
    font-size: 14px;
    padding: 40px 0 20px 0;
    border-top: 1px solid rgba(0,0,0,0.4);
}
.footer-policy {
    color: var(--theme-color);
}
.inner-section {
    padding-top: 250px;
}
.inner-section-content {
    line-height: 1.5;
}
.inner-section-content h3,
.inner-section-content p,
.inner-section-content ul,
.inner-section-content ol {
    margin-bottom: 20px;
}
.inner-section-content .ol .li {
    margin-bottom: 10px;
}
.purpose-table {
    border: 1px solid var(--text-light);
    border-collapse: collapse;
    margin-bottom: 30px;
    text-align: left;
}
.purpose-table td,
.purpose-table th {
    padding: 10px;
}
.hero-inner:before {
    background: rgba(0,0,0,0.65);
}
.hero-inner .hero-content {
    max-width: 860px;
    margin: 0 auto;
    padding-top: 150px;
}
.hero-inner .hero-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    animation: none;
}
.header-banquet .header-top-row a,
.header-banquet .header-top-address {
    color: var(--white);
}
.why-row {
    gap: 80px;
}
.why-item {
    gap: 50px;
}
.why-item:nth-child(2n) {
    flex-direction: row-reverse;
}
.why-item-image,
.why-item-info {
    flex-basis: 0;
    flex-grow: 1;
}
.why-item-image {
    aspect-ratio: 1.5 / 1;
    overflow: hidden;
    border-radius: var(--border-radius-default);
}
.why-item-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: top;
}
.why-item-info {
    font-size: 24px;
}
.section-banquet .section-decor:last-child {
    right: 50px;
    bottom: 10%;
}
.modal {
    visibility: hidden;
    display: block;
    opacity: 0;
    left: -100%;
    width: 100%;
    height: 100%;
    z-index: 9999;
    padding: 10% 30px 30px;
    overflow-y: auto;
    transition: opacity .4s;
}
.modal:before {
    content: '';
    display: none;
    background: rgba(0,0,0,0.6);
    left: 0;
    right: 0;
    bottom: 0;
    z-index: -1;
}
.modal,
.modal:before {
    position: fixed;
    top: 0;
}
.modal-dialog {
    position: static;
    width: 550px;
    max-width: 95%;
    padding: 40px;
    margin: 0 auto;
    background: var(--bg-color);
    border-radius: var(--border-radius-default);
    z-index: 11;
    transform: translate(0,-500%);
    transition: transform .3s ease-out;
}
.modal-header {
    text-align: center;
}
.modal-title {
    font-weight: 700;
    font-size: 24px;
    font-family: 'Cormorant';
}
.modal-close {
    position: absolute;
    top: 20px;
    right: 20px;
    background: transparent;
    border: none;
    padding: 0;
    width: 31px;
    height: 31px;
    line-height: 0;
    cursor: pointer;
}
.modal.opened {
    visibility: visible;
    opacity: 1;
    left: 0;
}
.modal.opened .modal-dialog {
    transform: translate(0,0);
}
.modal.opened:before {
    display: block;
}
.modal-body {
    margin-top: 30px;
}
.modal-form {
    flex-direction: column;
    gap: 15px;
}
.modal-form .btn {
    justify-content: center;
}
.modal-form .agreement {
    display: block;
    text-align: center;
    font-size: 12px;
}
.modal-form .agreement a {
    color: var(--theme-color);
    text-decoration: underline;
}
.field-item input,
.field-item textarea {
    width: 100%;
    border: 1px solid var(--text-light);
    padding: 12px 25px;
    height: 50px;
    border-radius: var(--border-radius-default);
    outline: none;
    transition: 0.35s ease;
}
.field-item input:focus,
.field-item textarea:focus {
    border-color: var(--theme-color);
}
.swal2-container {
    z-index: 9999 !important;
}
.burger-btn,
.mobile-menu-wrap {
    display: none;
}
.swiper-button-next, 
.swiper-button-prev {
    background: rgba(255, 255, 255, 0.5);
    width: 60px;
    height: 60px;
    border-radius: var(--border-radius-default);
    margin-top: -30px;
}
.swiper-button-next:after, 
.swiper-button-prev:after {
    color: var(--theme-color);
}
.section-btn {
    margin-top: 40px;
}
.footer-section:before {
    z-index: 0;
}
.yaeats {
    position: fixed;
    left: 20px;
    top: 100px;
    z-index: 3;
}
.yaeats img {
    width: 30px;
}
.banquet-pros > p {
    display: inline-flex;
    gap: 10px;
    align-items: flex-start;
}
.banquet-pros > p:before {
    content: '';
    display: block;
    width: 18px;
    height: 18px;
    background-image: url(../images/list-item.png);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    margin-top: 5px;
    flex-shrink: 0;
}
.hero-phone {
    text-decoration: none;
    font-size: 34px;
    color: var(--white);
}
@media (max-width: 1200px) {
    .header-logo,
    .header-row {
        gap: 20px;
    }
    .header-menu li a {
        font-size: 18px;
    }
    .header-logo img {
        width: 200px;
    }
    .hero-content h1 {
        font-size: 60px;
    }
    .footer-content {
        flex-basis: 45%;
    }
}
@media (max-width: 992px) {
    .header-top,
    .header-menu,
    .header-logo:after,
    .header-logo:before {
        display: none;
    }
    .header-row {
        padding: 20px 0;
    }
    .header-logo {
        position: static;
        flex-grow: 0;
    }
    .burger-btn {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        gap: 6px;
        width: 34px;
        height: 34px;
        background: transparent;
        border-radius: 10px;
    }
    .burger-btn span {
        display: block;
        width: 34px;
        height: 2px;
        background: var(--theme-color);
        border-radius: 3px;
        transition: 0.45s all ease-in-out;
    }
    .header-banquet:not(.fixed):not(.menu-shown) .burger-btn span {
        background: var(--white);
    }
    .burger-btn.active span:nth-child(1) {
        -webkit-transform: translateY(4px) rotate(45deg);
        -ms-transform: translateY(4px) rotate(45deg);
        -o-transform: translateY(4px) rotate(45deg);
        transform: translateY(4px) rotate(45deg);
    }
    .burger-btn.active span:nth-child(2) {
        opacity: 0;
    }
    .burger-btn.active span:nth-child(3) {
        -webkit-transform: translateY(-12px) rotate(-45deg);
        -ms-transform: translateY(-12px) rotate(-45deg);
        -o-transform: translateY(-12px) rotate(-45deg);
        transform: translateY(-12px) rotate(-45deg);
    }
    .mobile-menu-wrap {
        display: block;
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100vh;
        padding-top: 50px;
        padding-bottom: 30px;
        transform: translateX(110%);
        background: var(--bg-color);
        overflow-y: auto;
        transition: 0.45s all ease;
        z-index: 999;
    }
    .mobile-menu-wrap.shown {
        transform: translateX(0);
    }
    header.menu-shown {
        background: var(--bg-color);
        box-shadow: none !important;
    }
    .mobile-menu-wrap .header-menu {
        display: flex    ;
        flex-direction: column;
        align-items: center;
        text-align: center;
    }
    .mobile-menu-contacts {
        margin-top: 30px;
        gap: 15px;
    }
    .mobile-menu-contacts a {
        color: var(--theme-color);
        text-decoration: none;
        transition: 0.35s all ease-in-out;
    }
    .mobile-menu-contacts a:hover {
        color: var(--text-color);
    }
    .section {
        padding: 50px 0;
    }
    .section-title {
        font-size: 50px;
    }
    .section-decor img {
        width: 15vw;
    }
    .about-wrap {
        gap: 30px;
        flex-direction: column;
    }
    .about-text {
        font-size: 18px;
        margin-top: 40px;
    }
    .about-text h3 {
        font-size: 30px;
    }
    .item-footer-info {
        font-size: inherit;
    }
    .footer-title {
        font-size: 36px;
    }
    .item-footer-phone {
        font-size: 24px;
    }
    .item-footer-button {
        width: auto;
        height: auto;
        font-size: inherit;
    }       
}
@media (max-width: 820px) {
    .hero {
        height: auto;
        aspect-ratio: 6 / 5;
    }
    .hero-content {
        padding-bottom: 20px;
    }
    .section-title {
        font-size: 30px;
        margin-bottom: 25px;
    }
    .why-row {
        gap: 50px;
    }
    .why-item,
    .why-item:nth-child(2n) {
        flex-direction: column;
        gap: 10px;
    }
    .why-item-image {
        width: 100%;
        aspect-ratio: 2 / 1;
        flex-basis: unset;
    }
    .why-item-info {
        width: 100%;
        font-size: 20px;
        text-align: left;
    }
    .footer-section {
        padding-top: 40px !important;
    }
    .footer-body {
        flex-wrap: wrap;
    }
    .footer-content {
        flex-basis: 100%;
    }
    .footer-map {
        flex-basis: 100%;
        aspect-ratio: 2 / 1;
    }
    .footer-title {
        font-size: 24px;
    }
    .modal {
        padding: 10% 10px 10px;
    }
    .modal-dialog {
        width: 100%;
        max-width: 100%;
        padding: 20px;
    }
    .modal-close {
        top: 5px;
        right: 5px;
    }
    .hero-content h1 {
        font-size: 42px;
    }
    .hero-phone {
        font-size: 20px;
    }
    .hero-desc {
        max-width: 100%;
        font-size: 24px;
    }
    .food-list {
        flex-wrap: wrap;
    }
    .menu-slide {
        flex-basis: calc((100% - 25px) / 2);
    }
    .gallery-wrap {
        grid-template-columns: repeat(3, 1fr);
        gap: 25px;
    }
    .photo-item {
        margin-top: 0 !important;
    }
    .photo-item:nth-child(3n + 2) {
        margin-top: -10px !important;
    }    
    /*.hero:before {
        background: rgba(0, 0, 0, 0.05);
    }*/
}
@media (max-width: 768px) {
    .event-slide img:not(.event-mobile-img) {
        display: none;
    }
    .event-mobile-img {
        display: block;
    }
    .swiper-button-next, 
    .swiper-button-prev {
        width: 40px;
        height: 40px;
        margin-top: -20px;
    }
    .swiper-button-next:after, 
    .swiper-button-prev:after {
        font-size: 24px;
    }
    .yaeats {
        top: auto;
        bottom: 40px;
    }
}
@media (max-width: 560px) {
    body {
        font-size: 14px;
    }
    .header-logo img {
        width: 130px;
    }
    header.fixed .header-logo img {
        width: 100px;
    }
    .hero-content {
        gap: 10px;
        padding-bottom: 0;
    }
    .hero-inner .hero-content {
        padding-top: 50px;
    }
    .hero-content h1 {
        font-size: 32px;
    }
    .hero-phone {
        font-size: 16px;
    }
    .hero-desc {
        font-size: 16px;
    }
    .section {
        padding: 25px 0;
    }
    .section-title {
        font-size: 24px;
        margin-bottom: 20px;
    }
    .about-text {
        font-size: inherit;
    }
    .about-text h3 {
        font-size: 20px;
    }
    .gallery-wrap {
        grid-template-columns: repeat(2, 1fr);
        gap: 15px;
    }
    .photo-item:nth-child(3n + 2) {
        margin-top: 0 !important;
    }
    .footer-map {
        aspect-ratio: 1.5 / 1;
    }
    .footer-bottom {
        padding: 10px 0 30px 0;
        flex-direction: column;
        text-align: center;
    }
    .item-footer:not(:last-child) {
        margin-bottom: 20px;
    }
    .item-footer-info {
        margin: 10px 0;
    }
    .item-footer-phone {
        font-size: 18px;
        margin-bottom: 10px;
    }
    .social-link {
        width: 40px;
        height: 40px;
    }    
    .about-images img:first-child {
        width: 100%;
    }
    .about-images img:last-child {
        display: none;
    }
    .about-text {
        margin-top: 0;
    }
    .photo-item {
        margin-top: 0 !important;
    }
    .menu-slide-title {
        font-size: 20px;
    }    
    .menu-slide-price, .menu-slide-weight {
        font-size: 14px;
    }
    .section-btn {
        margin-top: 25px;
    }
    .banquet-pros > p:before {
        width: 15px;
        height: 15px;
    }
}
@media (max-width: 480px) {
    .hero-content {
        padding-top: 30px;
    }
    .hero-content h1 {
        font-size: 26px;
    }
    .hero-phone {
        font-size: 16px;
    }
    .hero-content .btn {
        height: auto;
    }
    .food-list {
        gap: 15px;
    }
    .menu-slide {
        flex-basis: calc((100% - 15px) / 2);
    }
    .menu-slide-info {
        margin-top: 5px;
        padding: 3px;
    }
    .menu-slide-title {
        font-size: 16px;
        line-height: 1;
    }
    .menu-slide-footer {
        margin-top: 5px;
    }
    .hero-inner .hero-desc {
        font-size: 12px;
    }
    .hero-img img {
    min-width: 160vw;
    }
}